API reference
Ruut Voice API Reference
Every endpoint, parameter, and response for the Twilio-compatible and Carrier APIs — generated from the platform's routes and request schemas.
Twilio-compatible API
curl "https://voice.ruut.chat/2010-04-01/Accounts/$SID/Calls" \
-u "$SID:$AUTH"
Carrier API
curl "https://voice.ruut.chat/carrier/v1/accounts" \
-H "Authorization: Bearer $CARRIER_KEY"
Twilio-compatible API
| Resource | Auth | Reference |
|---|---|---|
| Account | Basic | account |
| Calls | Basic | calls |
| Messages | Basic | messages |
| Recordings | Basic | recordings |
| IncomingPhoneNumbers | Basic | incoming phone numbers |
| AvailablePhoneNumbers | Basic | available phone numbers |
| Agent extensions | Basic | agent extensions |
Carrier API
| Resource | Auth | Reference |
|---|---|---|
| Accounts | OAuth2 carrier_api | accounts |
| Phone numbers | OAuth2 | phone numbers |
| Phone calls | OAuth2 | phone calls |
| Messages | OAuth2 | messages |
| Rates | OAuth2 | rates |
| Ring groups | OAuth2 | ring groups |
| SIP trunks | OAuth2 | SIP trunks |
| TTS events | OAuth2 | TTS events |
| Events | OAuth2 | events |
| Balances | OAuth2 | balances |
| Agent extensions | OAuth2 | agent extensions |
Authentication is covered in Authentication. For guides, TwiML, and webhooks, see the Documentation site.